Groovy Documentation

## org.codehaus.groovy.grails.web.mapping
[Java] Class DefaultUrlMappingEvaluator

    java.lang.Object
      org.codehaus.groovy.grails.web.mapping.DefaultUrlMappingEvaluator

All Implemented Interfaces:
  UrlMappingEvaluator

    public class DefaultUrlMappingEvaluator

A UrlMapping evaluator that evaluates Groovy scripts that are in the form:

     mappings {
        /$post/$year?/$month?/$day?" {
           controller = "blog"
           action = "show"
           constraints {
               year(matches:/\d{4}/)
               month(matches:/\d{2}/)
           }
        }
     }

Authors:
  Graeme Rocher

Since:
  0.5

Constructor Summary
`DefaultUrlMappingEvaluator(ServletContext servletContext)`

Method Summary
`java.util.List` | `evaluateMappings(Resource resource)`
`java.util.List` | `evaluateMappings(java.lang.Class theClass)`
`java.util.List` | `evaluateMappings(groovy.lang.Closure closure)`
`void` | `setClassLoader(java.lang.ClassLoader classLoader)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### DefaultUrlMappingEvaluator

    public DefaultUrlMappingEvaluator(ServletContext servletContext)

Method Detail

### evaluateMappings

    @SuppressWarnings("rawtypes")
    public java.util.List evaluateMappings(Resource resource)

### evaluateMappings

    @SuppressWarnings({"unchecked","rawtypes"})
    public java.util.List evaluateMappings(java.lang.Class theClass)

### evaluateMappings

    @SuppressWarnings("rawtypes")
    public java.util.List evaluateMappings(groovy.lang.Closure closure)

### setClassLoader

    public void setClassLoader(java.lang.ClassLoader classLoader)

Groovy Documentation